<?php
/**
* Replace glossary hrefs with glossaryTerms. This script
* converts any internal glossary hrefs:
* <a href="glossary.html#term">Term</a>
* to:
* <MadCap:glossaryTerm>Term</MadCap:glossaryTerm>
* @param string $argv[1] The HTML glossary file
*/
$glossary = $argv[1];
//find all HTML files in the current directory
foreach (glob("./*.{xhtml,html,htm}", GLOB_BRACE) as $file){
  $changed = false;
  $d = new DOMDocument();
  $d->formatOutput = true;
  $d->load($file);
  $xpath = new DOMXPath($d);
  //get namespace
  $ns = $d->documentElement->namespaceURI;
  if($ns) {
    $xpath->registerNamespace("ns", $ns);
    //find all
    $elements = $xpath->query("//ns:a[@href]");
  } else {
    $elements = $xpath->query("//a[@href]");
  }
  if($elements->item(0)){
    foreach ($elements as $node) {
    $href = $node->getAttribute("href");
      if (strpos($href, $glossary) !== false ) {
        $xref = $d->createElement('MadCap:glossaryTerm', $node->nodeValue);
        $parent = $node->parentNode;
        $parent->replaceChild($xref, $node);
        $changed = true;
      }
    }
    if ($changed){
      $d->save($file);
    }
  }
}
?>
