<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:d="http://docbook.org/ns/docbook" version="1.0">

  <!-- Parameters optimized for Flare. Where there is no
       optimal value, the default is shown. -->

  <!-- Chunking parameters -->
  <xsl:param name="chunker.output.encoding">UTF-8</xsl:param>
  <xsl:param name="chunk.section.depth">1</xsl:param> 
  <xsl:param name="chunk.first.sections">0</xsl:param>
  <xsl:param name="chunk.tocs.and.lots">1</xsl:param>
  <xsl:param name="chunk.separate.lots">0</xsl:param>
  <xsl:param name="html.ext">.html</xsl:param>
  <xsl:param name="suppress.header.navigation">1</xsl:param>
  <xsl:param name="suppress.footer.navigation">1</xsl:param>

  <!-- TOC parameters -->
  <xsl:param name="generate.toc">
    article   toc,title
    book      toc,title
  </xsl:param>
  <xsl:param name="toc.section.depth">2</xsl:param>
  <xsl:param name="toc.list.type">dl</xsl:param>

  <!-- CSS parameters -->
  <xsl:param name="html.stylesheet"></xsl:param>
  <xsl:param name="docbook.css.source"></xsl:param>
  <xsl:param name="custom.css.source"></xsl:param>
  <xsl:param name="generate.css.header">0</xsl:param>
  <xsl:param name="css.decoration">0</xsl:param>

  <!-- JavaScript parameter -->
  <xsl:param name="html.script"></xsl:param>

  <!-- Table parameters -->
  <xsl:param name="table.borders.with.css">0</xsl:param>

  <!-- Admonition parameters -->
  <xsl:param name="admon.graphics">0</xsl:param>
  <xsl:param name="admon.textlabel">0</xsl:param>

  <!-- Glossary and index parameters -->
  <xsl:param name="glossterm.auto.link">0</xsl:param>
  <xsl:param name="glossentry.show.acronym">no</xsl:param>
  <xsl:param name="index.links.to.section">0</xsl:param>
  
  <!-- Label and numbering parameters -->
  <xsl:param name="chapter.autolabel">0</xsl:param>
  <xsl:param name="appendix.autolabel">0</xsl:param>
  <xsl:param name="section.autolabel">0</xsl:param>
  <xsl:param name="part.autolabel">0</xsl:param>

  <xsl:param name="local.l10n.xml" select="document('')"/>
  <l:i18n xmlns:l="http://docbook.sourceforge.net/xmlns/l10n/1.0">
    <l:l10n language="en">
      <l:context name="title">
        <l:template name="table" text="%t Table"/>
        <l:template name="figure" text="Figure - %t"/>
        <l:template name="example" text="Example - %t"/>
      </l:context>
      <l:context name="xref-number-and-title">
        <l:template name="table" text="the &#8220;%t&#8221; table"/>
        <l:template name="figure" text="the &#8220;%t&#8221; figure"/>
        <l:template name="example" text="the &#8220;%t&#8221; example"/>
        <l:template name="section" text="&#8220;%t&#8221;"/>
        <l:template name="appendix" text="&#8220;%t&#8221;"/>
        <l:template name="chapter" text="&#8220;%t&#8221;"/>
      </l:context>
    </l:l10n>
  </l:i18n>

  <xsl:template match="d:table|d:figure|d:example|d:glossary"
                mode="label.markup"/>
</xsl:stylesheet>
