<?php
/**
* In Flare it is easy to accidentally create empty
* <p> tags (or <p> tags with only an nbsp).
* Search current directory for empty <p> tags
* with no class or id attributes and remove them.
* © 2017 Moneris Solutions Corporation, CC-BY-NC -SA 4.0
*/
error_reporting(E_ERROR);
//find all HTML files in the current directory
foreach (glob("./*.{xhtml,html,htm}", GLOB_BRACE) as $file){
  $d = new DOMDocument();
  $d->formatOutput = true;
  $changed = false;
  // Load document
  $d->load($file);
  $xpath = new DOMXPath($d);
  $ns = $d->documentElement->namespaceURI;
  if ($ns) {
    $xpath->registerNamespace("ns", $ns);
    $nodelist = $xpath->query("//ns:p[not(@*) and
       normalize-space(text())='' and not(*)]"); 
  } else {
    $nodelist = $xpath->query("//p[not(@*) and
      normalize-space(text())='' and not(*)]");
  }
  //loop through list here
  if ($nodelist->item(0)){
    foreach ($nodelist as $node){ 
      $parent = $node->parentNode;
      $parent->removeChild($node);
      $changed = true;
    }
  }
  if ($changed){
    $d->save($file);
    echo "Updated $file.\n";
  }
}
?>