<?php
/**
* Convert comments to annotations for all files in the current directory.
* <!--Annotation: ... --> becomes a <MadCap:annotation>
* Change the value of the $username and $initials variables
* © 2017 Moneris Solutions Corporation, CC-BY-NC -SA 4.0
*/
error_reporting(E_ERROR);
$username = "YourName"; 
$initials = "YN";
$tz = "America/New_York"; 
//find all HTML files in the current directory
foreach (glob("./*.{xhtml,html,htm}", GLOB_BRACE) as $file){  
  $changed = false;
  $d = new DOMDocument();
  $d->load($file);
  $xp = new DOMXPath($d);
  //no namespace
  $nodelist = $xp->query('//comment()');
  //check that there is something in the list
  if ($nodelist->length > 0){
    foreach ($nodelist as $node){
      //check begins with "Annotation:"
      $quest = trim (substr($node->nodeValue, 0, 11));
      if($quest == "Annotation:") { 
        $note = $d->createElement('MadCap:annotation');
        $note->setAttribute( "MadCap:creator", $username); 
        $note->setAttribute("MadCap:initials", $initials);
        //MadCap:createDate="2017-01-01T14:13:16.7693023-04:00"
        date_default_timezone_set($tz);
        $date = date('Y-m-d\TH:i:s');
        $note->setAttribute("MadCap:createDate", $date);
        $note->setAttribute("MadCap:comment", $node->nodeValue);
        //$note->setAttribute("class", "annotation"); 
        $note->nodeValue = htmlentities($node->nodeValue); 
        $parent = $node->parentNode;
        $parent->replaceChild($note, $node);
        $changed = true;
      }
    }
    if ($changed){
      $d->save($file);
      echo "Saved $file.\n";
    }
  }
}
?>