<?php
/**
* Set class attribute for elements so they can be styled separately
* © 2017 Moneris Solutions Corporation, CC-BY-NC -SA 4.0
* @param string argv[1] Element if not "table"
*/
if ($argc == 1){ 
  $tag = "table";
} else {
  $tag = $argv[1];
}
//find all HTML files in the current directory
foreach (glob("./*.{xhtml,html,htm}", GLOB_BRACE) as $file){
  $d = new DOMDocument();
  $d->load($file);
  $xpath = new DOMXPath($d);
  $ns = $d->documentElement->namespaceURI;
  if($ns) {
    $xpath->registerNamespace("ns", $ns);
    $query = "//ns:" . $tag . "[not(@class)]"; 
  } else {
    $query = "//". $tag . "[not(@class)]";
  }
  $elements = $xpath->query($query);
  if($elements->item(0)){
    foreach ($elements as $node) {
      //create attribute
      $node->setAttribute("class", "my".$tag); 
    }
  }
  $d->save($file);
}
?>