<?php
/**
* Build a TOC from a file list. Create the TOC in
* alphabetical order, but create the title from the first heading.
*/
error_reporting(E_ERROR);
$FlareDOM = new DOMDocument();
$FlareDOM->formatOutput = true;
makeRoot($FlareDOM);
//find all HTML files in the current directory
foreach (glob("./*.{xhtml,html,htm}", GLOB_BRACE) as $file){
  $d = new DOMDocument();
  $d->load($file);
  $xpath = new DOMXPath($d);
  $file = basename($file);
  $ns = $d->documentElement->namespaceURI;
  if($ns) {
    $xpath->registerNamespace("ns", $ns);
    $query = "//*[self::ns:h1 or self::ns:h2 or self::ns:h3]"; 
  } else {
    $query = "//*[self::h1 or self::h2 or self::h3]";
  }
  $elements = $xpath->query($query);
  if($elements->item(0)){ 
    $title = trim($elements->item(0)->nodeValue); 
    $entry = createEntry($FlareDOM, $file, $title);
    appendEntry($FlareDOM, $entry);
  } else {
    echo "Missed file " . $file;
  } 
}
$dest = "file_list.fltoc";
$FlareDOM->save($dest);
exit(0);
//end main
/**
* Create the root node of the Flare
* @param DOMDocument $doc The new TOC file
*/
function makeRoot($doc){
  //create document with CatapultToc root
  $root = $doc->createElement('CatapultToc');
  //create root node
  $root->setAttribute("Version","1");
  $doc->appendChild($root);
  return;
}
/**
* Create a Flare TOC TocEntry
* @param DOMDocument $doc   The new TOC file
* @param string      $file  The file name
* @param string      $title The title to use
* @return DOMNode    The newly created TocEntry
*/
function createEntry($doc, $file, $title){  
  $entry = $doc->createElement('TocEntry');
  $entry->setAttribute("Title", $title );
  //use getcwd() for current directory
  $dir = basename(getcwd());
  $entry->setAttribute("Link", "/Content/$dir/$file"); 
  return $entry;
}
/**
* Add a ToC Entry to a CatapultToc 
* @param DOMDocument $doc   The new TOC file
* @param DOMNode     $entry The TocEntry node
*/
function appendEntry($doc, $entry){ 
  // This simply appends the $entry. Implement logic
  // to change this.
  $doc->documentElement->appendChild($entry);
}
?>